# fr_BarreOutilExtrusion.rb
# Cree une barre de differents outils d'extrusion
# Gilles 04 2008
# Ncessite:"fr_extrudelinetool.rb","fr_opener.rb","fr_rectangle_hole.rb","fr_matrix_extrude.rb","fr_PipeAlongPath.rb"



plugins = Sketchup.find_support_file("Plugins")

#"fr_extrudelinetool.rb"
icon = File.join(plugins, "icones", "ExtrudeLigne.png")
tb = UI::Toolbar.new("Extrusions")
cmd = UI::Command.new("Extruder ligne vecteur par 2 points") { ex_linetool }
#cmd.small_icon = icon
cmd.large_icon = icon
cmd.tooltip = cmd.status_bar_text = "Extruder ligne vecteur par 2 points"
tb.add_item(cmd)

tb.add_separator

#"fr_opener.rb"
icon = File.join(plugins, "icones", "Trouer.png")
cmd2 = UI::Command.new("Trouer") { make_holes }
#cmd2.small_icon = icon
cmd2.large_icon = icon
cmd2.tooltip = cmd2.status_bar_text = "Trouer"
tb.add_item(cmd2)

tb.add_separator

#"fr_rectangle_hole.rb"
icon = File.join(plugins, "icones", "TrouerRectangle.png")

cmd3 = UI::Command.new("Trou Rectangulaire") { Sketchup.active_model.select_tool RectangleHoleTool.new  }
#cmd3.small_icon = icon
cmd3.large_icon = icon
cmd3.tooltip = cmd3.status_bar_text = "Trou Rectangulaire"
tb.add_item(cmd3)

tb.add_separator

#"fr_matrix_extrude.rb"
icon = File.join(plugins, "icones", "ExtrudeFace.png")

cmd4 = UI::Command.new("Extrusion de faces selectionnes") { extrude }
#cmd4.small_icon = icon
cmd4.large_icon = icon
cmd4.tooltip = cmd4.status_bar_text = "Extrusion de faces selectionnes"
tb.add_item(cmd4)

tb.add_separator

#"fr_PipeAlongPath.rb"
icon = File.join(plugins, "icones", "Tubage.png")

cmd5 = UI::Command.new("Tubage sur chemin") { pipe_along_path }
#cmd5.small_icon = icon
cmd5.large_icon = icon
cmd5.tooltip = cmd5.status_bar_text = "Tubage sur chemin"
tb.add_item(cmd5)


tb.show


